[Rubyinstaller-devel] Update One-Click based on VC6 under works

Luis Lavena luislavena at gmail.com
Thu Sep 11 11:14:18 EDT 2008

Hello Everybody,

It appears that the plan of releasing the MinGW version to replace the
VC6 build one is taking longer than expected.

Because of that and OCI been a bit old these days, I'm working on a
update planned for beta and candidate releases next week.

Just a brief of what this release will include:

- Latest Official (GarbageCollect), 1.8.6-p287
- Update SciTE
- Updated RubyGems to 1.2.0 (or 1.3.0 if the release is made during
the beta to candidate phases).
- Updated Gems for SQLite3 and MySQL

Possible but not yet done:
- Bundle Ruby-PG to use PostgreSQL out of the box.

The version will not be based on 1.8.7 since it contains several
changes that do not play nice with wxRuby, FXRuby and gems and
utilities with compiled extensions.
Using latest 1.8.6 all the security fixes announced will became
obsolete (for those that feel unsecure right now).

I'll post this to my blog [1] later today, drop here or there your
suggestions or use RubyForge [2].


[1] http://blog.mmediasys.com
[2] http://rubyforge.org/tracker/?atid=715&group_id=167&func=browse
Luis Lavena
Human beings, who are almost unique in having the ability to learn from
the experience of others, are also remarkable for their apparent
disinclination to do so.
Douglas Adams

More information about the Rubyinstaller-devel mailing list